export const basicExample = (obj, slot, sort) => {
  let props = Object.keys(obj.props);
  const list = document.createElement('div');
  if (sort && typeof sort === 'function') {
    props = sort();
  }
  for (const prop of props) {
    const scope = obj.props[prop].scope === 'global' ? 'g' : 's';
    const namespace = obj.props[prop].namespace;
    const propValue = obj.props[prop].value;
    const propName = obj.props[prop].name;
    const cssProp = obj.props[prop].cssProperties[0];
    const category = obj.props[prop].category;
    const description = obj.props[prop].comment;
    const group = obj.props[prop].group;

    list.insertAdjacentHTML(
      'beforeend',
      `
      <basic-example value="${propValue}" prop="--${namespace}-${scope}-${propName}" cssProperty=${cssProp} group="${group}" category=${category} title="${description}">${
        slot !== undefined ? slot : ''
      }</basic-example>
      `,
    );
  }
  return list;
};
